Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 2403)
@@ -1473,5 +1473,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1485,5 +1485,5 @@
     <message>
         <source>#input</source>
-        <translation>#entrada</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1497,5 +1497,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1714,5 +1714,5 @@
     <message>
         <source>#language</source>
-        <translation>#idioma</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3315,5 +3315,5 @@
     <message>
         <source>#general</source>
-        <translation type="unfinished">#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3327,5 +3327,5 @@
     <message>
         <source>#hdds</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3339,5 +3339,5 @@
     <message>
         <source>#floppy</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3351,5 +3351,5 @@
     <message>
         <source>#dvd</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3363,5 +3363,5 @@
     <message>
         <source>#audio</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3375,5 +3375,5 @@
     <message>
         <source>#network</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3387,5 +3387,5 @@
     <message>
         <source>#usb</source>
-        <translation type="unfinished">#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3399,5 +3399,5 @@
     <message>
         <source>#vrdp</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3411,5 +3411,5 @@
     <message>
         <source>#sfolders</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_it.ts	(revision 2403)
@@ -1477,5 +1477,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1489,5 +1489,5 @@
     <message>
         <source>#input</source>
-        <translation>#input</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1501,5 +1501,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1720,5 +1720,5 @@
     <message>
         <source>#language</source>
-        <translation>#language</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3526,5 +3526,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3538,5 +3538,5 @@
     <message>
         <source>#hdds</source>
-        <translation>#hdds</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3550,5 +3550,5 @@
     <message>
         <source>#floppy</source>
-        <translation>#floppy</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3562,5 +3562,5 @@
     <message>
         <source>#dvd</source>
-        <translation>#dvd</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3574,5 +3574,5 @@
     <message>
         <source>#audio</source>
-        <translation>#audio</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3586,5 +3586,5 @@
     <message>
         <source>#network</source>
-        <translation>#network</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3598,5 +3598,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3610,5 +3610,5 @@
     <message>
         <source>#vrdp</source>
-        <translation>#vrdp</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3622,5 +3622,5 @@
     <message>
         <source>#sfolders</source>
-        <translation>#sfolders</translation>
+        <translation></translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ro.ts	(revision 2403)
@@ -1504,5 +1504,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1516,5 +1516,5 @@
     <message>
         <source>#input</source>
-        <translation>#input</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1528,5 +1528,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1747,5 +1747,5 @@
     <message>
         <source>#language</source>
-        <translation>#limbă</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3551,5 +3551,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3563,5 +3563,5 @@
     <message>
         <source>#hdds</source>
-        <translation>#hdduri</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3574,6 +3574,6 @@
     </message>
     <message>
-        <source>#dischet?</source>
-        <translation type="obsolete">#dischetă</translation>
+        <source>#floppy</source>
+        <translation></translation>
     </message>
     <message>
@@ -3587,5 +3587,5 @@
     <message>
         <source>#dvd</source>
-        <translation>#dvd</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3599,5 +3599,5 @@
     <message>
         <source>#audio</source>
-        <translation>#audio</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3611,5 +3611,5 @@
     <message>
         <source>#network</source>
-        <translation>#network</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3623,5 +3623,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3635,5 +3635,5 @@
     <message>
         <source>#vrdp</source>
-        <translation>#vrdp</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3647,5 +3647,5 @@
     <message>
         <source>#sfolders</source>
-        <translation>#directoarep</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4169,8 +4169,4 @@
     </message>
     <message>
-        <source>#floppy</source>
-        <translation>#dischetă</translation>
-    </message>
-    <message>
         <source>Displays the operating system type that you plan to install into this virtual machine (called a guest operating system).</source>
         <translation>Afişează tipul sistemului de operare pe care plănuiţi să îl instalaţi în această maşină virtuală (denumit sistem de operare musafir).</translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 2403)
@@ -1421,5 +1421,5 @@
     <message>
         <source>#general</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -1433,5 +1433,5 @@
     <message>
         <source>#input</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -1445,5 +1445,5 @@
     <message>
         <source>#usb</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -1598,5 +1598,5 @@
     <message>
         <source>#language</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3173,5 +3173,5 @@
     <message>
         <source>#general</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3185,5 +3185,5 @@
     <message>
         <source>#hdds</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3197,5 +3197,5 @@
     <message>
         <source>#floppy</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3209,5 +3209,5 @@
     <message>
         <source>#dvd</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3221,5 +3221,5 @@
     <message>
         <source>#audio</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3233,5 +3233,5 @@
     <message>
         <source>#network</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3245,5 +3245,5 @@
     <message>
         <source>#usb</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3257,5 +3257,5 @@
     <message>
         <source>#vrdp</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3269,5 +3269,5 @@
     <message>
         <source>#sfolders</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 2403)
@@ -1473,5 +1473,5 @@
     <message>
         <source>#general</source>
-        <translation>#一般</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1485,5 +1485,5 @@
     <message>
         <source>#input</source>
-        <translation>#输入</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1497,5 +1497,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1705,5 +1705,5 @@
     <message>
         <source>#language</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -3379,5 +3379,5 @@
     <message>
         <source>#general</source>
-        <translation>#一般</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3391,5 +3391,5 @@
     <message>
         <source>#hdds</source>
-        <translation>#硬盘</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3403,5 +3403,5 @@
     <message>
         <source>#floppy</source>
-        <translation>#软驱</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3415,5 +3415,5 @@
     <message>
         <source>#dvd</source>
-        <translation>#光驱</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3427,5 +3427,5 @@
     <message>
         <source>#audio</source>
-        <translation>#声音</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3439,5 +3439,5 @@
     <message>
         <source>#network</source>
-        <translation>#网络</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3451,5 +3451,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3463,5 +3463,5 @@
     <message>
         <source>#vrdp</source>
-        <translation>#vrdp</translation>
+        <translation></translation>
     </message>
     <message>
@@ -3475,5 +3475,5 @@
     <message>
         <source>#sfolders</source>
-        <translation>共享</translation>
+        <translation></translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 2401)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 2403)
@@ -1804,5 +1804,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1812,5 +1812,5 @@
     <message>
         <source>#input</source>
-        <translation>#input</translation>
+        <translation></translation>
     </message>
     <message>
@@ -1824,5 +1824,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -2021,5 +2021,5 @@
     <message>
         <source>#language</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
@@ -4233,5 +4233,5 @@
     <message>
         <source>#general</source>
-        <translation>#general</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4241,5 +4241,5 @@
     <message>
         <source>#hdds</source>
-        <translation>#hdds</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4253,5 +4253,5 @@
     <message>
         <source>#floppy</source>
-        <translation>#floppy</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4265,5 +4265,5 @@
     <message>
         <source>#dvd</source>
-        <translation>#dvd</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4273,5 +4273,5 @@
     <message>
         <source>#audio</source>
-        <translation>#audio</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4281,5 +4281,5 @@
     <message>
         <source>#network</source>
-        <translation>#network</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4293,5 +4293,5 @@
     <message>
         <source>#usb</source>
-        <translation>#usb</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4305,5 +4305,5 @@
     <message>
         <source>#vrdp</source>
-        <translation>#vrdp</translation>
+        <translation></translation>
     </message>
     <message>
@@ -4317,5 +4317,5 @@
     <message>
         <source>#sfolders</source>
-        <translation>#sfolders</translation>
+        <translation></translation>
     </message>
     <message>