Index: trunk/src/VBox/Frontends/VirtualBox/VBoxUI.pro
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/VBoxUI.pro	(revision 2419)
+++ trunk/src/VBox/Frontends/VirtualBox/VBoxUI.pro	(revision 2420)
@@ -247,4 +247,6 @@
 
 TRANSLATIONS = \
+	nls/VirtualBox_pl.ts \
+	nls/VirtualBox_ar.ts \
 	nls/VirtualBox_de.ts \
 	nls/VirtualBox_es.ts \
Index: trunk/src/VBox/Frontends/VirtualBox/src/VBoxProblemReporter.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/VBoxProblemReporter.cpp	(revision 2419)
+++ trunk/src/VBox/Frontends/VirtualBox/src/VBoxProblemReporter.cpp	(revision 2420)
@@ -1470,5 +1470,5 @@
     {
         rc = message (&vboxGlobal().consoleWnd(), type,
-            tr ("<p>A fatal error has occured during virtual machine execution! "
+            tr ("<p>A fatal error has occurred during virtual machine execution! "
                 "The virtual machine will be powered off. It is suggested to "
                 "use the clipboard to copy the following error message for "
@@ -1482,5 +1482,5 @@
     {
         rc = message (&vboxGlobal().consoleWnd(), type,
-            tr ("<p>An error has occured during virtual machine execution! "
+            tr ("<p>An error has occurred during virtual machine execution! "
                 "The error details are shown below. You can try to correct "
                 "the described error and resume the virtual machine "
Index: trunk/src/VBox/Frontends/VirtualBox/ui/VBoxGlobalSettingsDlg.ui.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/ui/VBoxGlobalSettingsDlg.ui.h	(revision 2419)
+++ trunk/src/VBox/Frontends/VirtualBox/ui/VBoxGlobalSettingsDlg.ui.h	(revision 2420)
@@ -149,5 +149,5 @@
         setText (0, QString ("<%1>").arg (aId));
         setText (1, aId);
-        setText (2, VBoxGlobalSettingsDlg::tr ("<unavailabie>", "Language"));
+        setText (2, VBoxGlobalSettingsDlg::tr ("<unavailable>", "Language"));
         setText (3, VBoxGlobalSettingsDlg::tr ("<unknown>", "Author(s)"));
     }
Index: trunk/src/VBox/Frontends/VirtualBox/ui/VBoxUSBFilterSettings.ui
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/ui/VBoxUSBFilterSettings.ui	(revision 2419)
+++ trunk/src/VBox/Frontends/VirtualBox/ui/VBoxUSBFilterSettings.ui	(revision 2420)
@@ -149,5 +149,5 @@
                     <property name="whatsThis" stdset="0">
                         <string>&lt;qt&gt;Defines the manufacturer filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An emtpy string will match any
+&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -159,5 +159,5 @@
                     <property name="whatsThis" stdset="0">
                         <string>&lt;qt&gt;Defines the product name filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An emtpy string will match any
+&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -169,5 +169,5 @@
                     <property name="whatsThis" stdset="0">
                         <string>&lt;qt&gt;Defines the serial number filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An emtpy string will match any
+&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -295,5 +295,5 @@
                         <string>&lt;qt&gt;Defines the vendor ID filter. The
 &lt;i&gt;exact match&lt;/i&gt; string format is &lt;tt&gt;XXXX&lt;/tt&gt; where
-&lt;tt&gt;X&lt;/tt&gt; is a hexadecimal digit. An emtpy string will match any
+&lt;tt&gt;X&lt;/tt&gt; is a hexadecimal digit. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -306,5 +306,5 @@
                         <string>&lt;qt&gt;Defines the product ID filter. The
 &lt;i&gt;exact match&lt;/i&gt; string format is &lt;tt&gt;XXXX&lt;/tt&gt; where
-&lt;tt&gt;X&lt;/tt&gt; is a hexadecimal digit. An emtpy string will match any
+&lt;tt&gt;X&lt;/tt&gt; is a hexadecimal digit. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -318,5 +318,5 @@
 &lt;i&gt;exact match&lt;/i&gt; string format is &lt;tt&gt;IIFF&lt;/tt&gt; where
 &lt;tt&gt;I&lt;/tt&gt; is a decimal digit of the integer part and &lt;tt&gt;F&lt;/tt&gt;
-is a decimal digit of the fractional part. An emtpy string will match any
+is a decimal digit of the fractional part. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
@@ -328,5 +328,5 @@
                     <property name="whatsThis" stdset="0">
                         <string>&lt;qt&gt;Defines the host USB port filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An emtpy string will match any
+&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</string>
                     </property>
Index: trunk/src/VBox/Frontends/VirtualBox/ui/VBoxVMNetworkSettings.ui.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/ui/VBoxVMNetworkSettings.ui.h	(revision 2419)
+++ trunk/src/VBox/Frontends/VirtualBox/ui/VBoxVMNetworkSettings.ui.h	(revision 2420)
@@ -456,5 +456,5 @@
             "network adapters of this or another VM. After it is removed, these "
             "adapters will no longer work until you correct their settings by "
-            "either choosing a differnet interface name or a different adapter "
+            "either choosing a different interface name or a different adapter "
             "attachment type.</p>").arg (iName),
         0, /* autoConfirmId */