Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 2501)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_es.ts	(revision 2502)
@@ -2264,5 +2264,5 @@
     <message>
         <source>Failed to discard the snapshot &lt;b&gt;%1&lt;/b&gt; of the virtual machine &lt;b&gt;%2&lt;/b&gt;.</source>
-        <translation type="obsolete">Falló en desechar la instantánea &lt;b&gt;%1&lt;/b&gt; de la máquina virtual &lt;b&gt;%2&lt;/b&gt;.</translation>
+        <translation type="unfinished">Falló en desechar la instantánea &lt;b&gt;%1&lt;/b&gt; de la máquina virtual &lt;b&gt;%2&lt;/b&gt;.</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts	(revision 2501)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_pl.ts	(revision 2502)
@@ -1952,5 +1952,5 @@
     <message>
         <source>&lt;p&gt;Select a hard disk image to be used
-as a boot hard disk of the virtual machine. You can either create a new hard
+as the boot hard disk of the virtual machine. You can either create a new hard
 disk using the &lt;b&gt;New&lt;/b&gt; button or select an existing hard disk
 image from the drop-down list or by pressing the &lt;b&gt;Existing&lt;/b&gt;
@@ -1958,5 +1958,5 @@
 &lt;p&gt;If you need a more complicated hard disk setup, you can also skip this
 step and attach hard disks later using the VM Settings dialog.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Wybierz obraz dysku, który ma zostać użyty,
+        <translation type="unfinished">&lt;p&gt;Wybierz obraz dysku, który ma zostać użyty,
 jako dysk bootowalny wirtualnej maszyny. Możesz także utwożyć nowy
 dysk, używając przycisku &lt;b&gt;Nowy&lt;/b&gt; lub wybrać istniejący obraz
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 2501)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 2502)
@@ -2952,5 +2952,5 @@
         <source>&lt;nobr&gt;Error ID: &lt;/nobr&gt;</source>
         <comment>runtime error info</comment>
-        <translation>&lt;nobr&gt;錯誤 ID： &lt;/nobr&gt;</translation>
+        <translation type="unfinished">&lt;nobr&gt;錯誤 ID： &lt;/nobr&gt;</translation>
     </message>
     <message>
@@ -2961,9 +2961,9 @@
     <message>
         <source>&lt;p&gt;A fatal error has occurred during virtual machine execution! The virtual machine will be powered off. It is suggested to use the clipboard to copy the following error message for further examination:&lt;/p&gt;</source>
-        <translation>&lt;p&gt;虛擬機器執行期間發生嚴重錯誤！虛擬機器將會關機。建議使用剪貼簿來複製下列錯誤訊息，以便進一步的審查：&lt;/p&gt;</translation>
+        <translation type="unfinished">&lt;p&gt;虛擬機器執行期間發生嚴重錯誤！虛擬機器將會關機。建議使用剪貼簿來複製下列錯誤訊息，以便進一步的審查：&lt;/p&gt;</translation>
     </message>
     <message>
         <source>&lt;p&gt;An error has occurred during virtual machine execution! The error details are shown below. You can try to correct the described error and resume the virtual machine execution.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;虛擬機器執行期間發生錯誤！下面顯示錯誤的細節。您可以嘗試去更正所述的錯誤，並且重新執行虛擬機器。&lt;/p&gt;</translation>
+        <translation type="unfinished">&lt;p&gt;虛擬機器執行期間發生錯誤！下面顯示錯誤的細節。您可以嘗試去更正所述的錯誤，並且重新執行虛擬機器。&lt;/p&gt;</translation>
     </message>
     <message>
@@ -3003,21 +3003,4 @@
         <source>&lt;p&gt;Could not load the language file &lt;b&gt;&lt;nobr&gt;%1&lt;/nobr&gt;&lt;/b&gt;. &lt;p&gt;The language will be temporarily reset to English (built-in). Please go to the &lt;b&gt;Preferences&lt;/b&gt; dialog which you can open from the &lt;b&gt;File&lt;/b&gt; menu of the main VirtualBox window, and select one of the existing languages on the &lt;b&gt;Language&lt;/b&gt; page.&lt;/p&gt;</source>
         <translation>&lt;p&gt;無法載入語言檔 &lt;b&gt;&lt;nobr&gt;%1&lt;/nobr&gt;&lt;/b&gt;。 &lt;p&gt;語言將會暫時重新設定為英文 (內建)。請前往位於主要 VirtualBox 視窗 &lt;b&gt;檔案&lt;/b&gt; 選單的 &lt;b&gt;偏好設定&lt;/b&gt; 對話框，並且在 &lt;b&gt;語言&lt;/b&gt; 頁面選取現有的語言之一。&lt;/p&gt;</translation>
-    </message>
-    <message>
-        <source>Failed to discard the snapshot &lt;b&gt;%1&lt;/b&gt; of the virtual machine &lt;b&gt;%2&lt;/b&gt;.</source>
-        <translation type="unfinished">捨棄虛擬機器 &lt;b&gt;%1&lt;/b&gt; 的快照 &lt;b&gt;%2&lt;/b&gt; 時失敗。 {1 or 2?}</translation>
-    </message>
-    <message>
-        <source>&lt;nobr&gt;Error ID: &lt;/nobr&gt;</source>
-        <comment>runtime error info</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <source>&lt;p&gt;A fatal error has occurred during virtual machine execution! The virtual machine will be powered off. It is suggested to use the clipboard to copy the following error message for further examination:&lt;/p&gt;</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <source>&lt;p&gt;An error has occurred during virtual machine execution! The error details are shown below. You can try to correct the described error and resume the virtual machine execution.&lt;/p&gt;</source>
-        <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3761,5 +3744,5 @@
 &lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</source>
-        <translation type="obsolete">&lt;qt&gt;定義製造商篩選器為
+        <translation type="unfinished">&lt;qt&gt;定義製造商篩選器為
 &lt;i&gt;精確符合&lt;/i&gt; 的字串。空字串將會符合任何
 值。&lt;/qt&gt;</translation>
@@ -3769,5 +3752,5 @@
 &lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</source>
-        <translation type="obsolete">&lt;qt&gt;定義產品篩選器為
+        <translation type="unfinished">&lt;qt&gt;定義產品篩選器為
 &lt;i&gt;精確符合&lt;/i&gt; 的字串。空字串將會符合任何
 值。&lt;/qt&gt;</translation>
@@ -3777,5 +3760,5 @@
 &lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
 value.&lt;/qt&gt;</source>
-        <translation type="obsolete">&lt;qt&gt;定義序號篩選器為
+        <translation type="unfinished">&lt;qt&gt;定義序號篩選器為
 &lt;i&gt;精確符合&lt;/i&gt; 的字串。空字串將會符合任何
 值。&lt;/qt&gt;</translation>
@@ -3842,22 +3825,4 @@
     </message>
     <message>
-        <source>&lt;qt&gt;Defines the manufacturer filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
-value.&lt;/qt&gt;</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <source>&lt;qt&gt;Defines the product name filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
-value.&lt;/qt&gt;</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <source>&lt;qt&gt;Defines the serial number filter as an
-&lt;i&gt;exact match&lt;/i&gt; string. An empty string will match any
-value.&lt;/qt&gt;</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <source>&lt;qt&gt;Defines the vendor ID filter. The
 &lt;i&gt;exact match&lt;/i&gt; string format is &lt;tt&gt;XXXX&lt;/tt&gt; where